-- binding labels
BINDING_HEADER_PETINFOHEADER = 'PetInfoFu'
BINDING_NAME_PETINFONAME     = 'Train your pet'

local AceLocale = AceLibrary("AceLocale-2.2"):new("PetInfoFu")

AceLocale:RegisterTranslations("enUS", function() 
    return {
		["NAME"] = "PetInfoFu",
		["DESCRIPTION"] = "Displays pet info.",
		["CMD_OPTIONS"] = {"/pifu", "/petinfofu"},
        
        -- tool tips
		["TOOLTIP_TITLE"] = "|cffffffffPetInfo|r|cff00ff00Fu|r",
		["TOOLTIP_HINT_TEXT"] = "|cffeda55fClick|r to Train your pet.",
        
		["PI_TOOLTIP_HINT"] = "Pet Info.",
		["PI_TOOLTIP_HINT_HUNTER"] = "Pet Info. |cffeda55fClick|r to Train your pet.",                      
		
        -- format strings
		["PI_FORMAT"] = "%d",
		["PI_PERCENT_FORMAT"] = "%d (%.1f%%)",
		["PI_AS_FORMAT"] = "%.2f",
		["PI_DPS_FORMAT"] = "%.1f",

        -- unknown entity
        ["UO"] = true,
        
        -- labels
		["PI_PETINFO"] = "Pet:",
		["PI_PETNAME"] = "Name:",
		["PI_PETLEVEL"] = "Level:",
        
        -- categories
        ["CATEGORY_PET_INFO"] = "Pet Info",
        ["CATEGORY_PET_COMBAT_INFO"] = "Pet Combat Info",
        ["CATEGORY_PET_ATTRIBUTES"] = "Pet Attributes",
        ["CATEGORY_PET_STABLED"] = "Stabled Pets",
        ["CATEGORY_PET_HISTORY"] = "History of Pets",        
        ["CATEGORY_DEMONIC_KNOWLEDGE"] = "Demonic Knowledge",
        ["CATEGORY_PET_SKILLS"] = "Pet Skills",
        ["CATEGORY_PET_NETHER"] = "Nethered Demons",
        
        -- hunter labels
		["PI_TYPE"] = "Type:",
		["PI_NOPET"] = "No pet",
		["PI_FOOD"] = "Eats:",
		["PI_LOYALTY"] = "Loyalty:",
		["PI_HAPPINESS"] = "Happiness:",
		["PI_DAMAGEPERCT"] = "Damage Percentage:",
		["PI_LOYALTYRATE"] = "Loyalty Rate:",
		["PI_TRAINING_POINTS"] = "Training Points:",
		["PI_ARMOR_CLASS"] = "Armor:",
		["PI_ATTACK_SPEED"] = "Attack Speed:",
        ["PI_ATTACK_SKILL"] = "Attack Skill:",
		["PI_ATTACK_POWER"] = "Attack Power:",
		["PI_DPS_LISTED"] = "Listed DPS:",
		["PI_CURRENT_XP"] = "Current XP:",
		["PI_NEEDED_XP"] = "Needed XP:",
		["PI_TOTAL_XP"] = "Required XP:",
		["PI_NOLEVEL"] = "Not gaining XP due to level restriction",
        
        -- warlock labels
        ["PI_NODEMON"] = "No demon",
        ["PI_NOTALENT"] = "You are not talented in ",
        ["PI_BONUSDAMAGE"] = "Bonus Damage:",

        -- attribute names
        ["SPELL_STAT0_NAME"] = "Strength:",
        ["SPELL_STAT1_NAME"] = "Agility:",
        ["SPELL_STAT2_NAME"] = "Stamina:",
        ["SPELL_STAT3_NAME"] = "Intelligence:",
        ["SPELL_STAT4_NAME"] = "Spirit:",
        
        -- happiness values
        ["Unhappy"] = true,
		["Content"] = true,
		["Happy"] = true,        
		["Gaining Loyalty"] = true,
		["Losing Loyalty"] = true,
        
        -- menus
		["Show pet's name"] = true,
		["Show pet's level"] = true,        
        ["Show pet's attributes"] = true,
        ["Show pet's combat statistics"] = true,        
        ["Show pet's skills"] = true,
        ["MapNotes"] = true,                            -- hunter
        ["Enable Stable mapnotes"] = true,              -- hunter
        ["Show stabled pets"] = true,                   -- hunter
        ["Track pet history"] = true,                   -- hunter
        ["Show nethered demons"] = true,                -- warlock
                
        -- other
        ["Please visit a stable to initialise."] = true,
        ["Stable"] = true, 
     }

end)
